#! /bin/sh

cd `dirname $0`
ini=`dirname $0`

try_run()
{
    setup=$1
    shift
    fatal=$1

    failed=0
    setup_bin="linux/$setup"
    if [ ! -f "$setup_bin" ]; then
       failed=1
    fi
    if [ "$failed" -eq 1 ]; then
       if [ "$fatal" != "" ]; then
          cat <<__EOF__
This installation doesn't seem to work on your system

Please contact Gerdes Aktiengesellschaft at service@gerdes-ag.de
__EOF__
          exit 1
       fi
       return $failed
    fi

    setup="$HOME/.setup$$"
    cp "$setup_bin" "$setup"
    chmod 700 "$setup"
    if [ "$fatal" = "" ]; then
       "$setup" -r$ini -p$setup_bin 2>/dev/null
       failed=$?
    else
       "$setup" -r$ini -p$setup_bin
       failed=$?
    fi
		rm -f "$setup"
    return $failed
}


status=0
try_run setupgui || try_run setup -fatal || {
    echo "The setup program seems to have failed"
    echo
    echo "Please contact Gerdes Aktiengesellschaft at service@gerdes-ag.de"
    status=1
}
exit $status
